summarylogtreecommitdiffstats
path: root/update.sh
diff options
context:
space:
mode:
Diffstat (limited to 'update.sh')
-rwxr-xr-xupdate.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/update.sh b/update.sh
new file mode 100755
index 00000000000..1bd3191d594
--- /dev/null
+++ b/update.sh
@@ -0,0 +1,8 @@
+#!/bin/bash
+cd "$(dirname "$0")"
+
+[[ "$#" -ne 0 ]] || exit 1
+
+sed -E -i "s/pkgver=.*/pkgver=${1}/" PKGBUILD
+updpkgsums
+makepkg --printsrcinfo >.SRCINFO